import { useMutation } from "react-query";
import firestore from "@react-native-firebase/firestore";

export const useSignUp = () => {
  return useMutation({
    mutationKey: ["getCaregivers"],
    mutationFn: async () => {
      const snapshot = await firestore()
        .collection("Profiles")
        .where("userType", "==", "caregiver")
        .get();
    },
  });
};
